<html>
<head>
    <link rel="icon" href="jakob_memoji.jpeg">
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="style.css">
    <meta name="viewport" content="width=device-width" />
    <title>Jakob Fiegerl</title>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap" rel="stylesheet">
</head>
<body>
    <div style="display: block; width: 50%;">
        <div id="content" style="width: 50%;">
            <div style="width: 100%;">
                <div class="section">
                    <img class="profile-pic" src="jakob_memoji.jpeg"/>
                    <h1>Jakob Fiegerl</h1>
                    <h3>App Developer</h3>
                    <div class="tags">
                        <h5>Swift</h5>
                        <h5>Java</h5>
                        <h5>Design</h5>
                    </div>
                </div>
            </div>
            <div id="navBar">
                <h4>Navigation</h4>
                <a href="index.html">Home</a>
                <b><a href="jakobf-blog.html">Blog</a></b>
            </div>
        </div>
        <div class="section blog" style="width: 100%;">
            <iframe id="EmberApp" src="https://fiegerl.at/blog" frameBorder="0" style="width: 100%; height: 100%;"></iframe>
        </div>
    </div>

    <script type="text/javascript">
        var iframe = document.querySelector('iframe#EmberApp');

        var updateIframeSrcFromLocation = function () {
          if(iframe.contentWindow.location.hash === window.location.hash) {
            return;
          }

          if(iframe.contentWindow.location.host !== "") {
            // iframe already loaded.
            iframe.contentWindow.location.hash = window.location.hash;

          } else {
            // iframe is just starting.
            var newHash = window.location.hash;
            var srcStr = iframe.getAttribute('src');
            var words = srcStr.split('#');
            var href = words[0];
            var newSrc = href + newHash;
            iframe.setAttribute('src', newSrc);
          }
        };

        var updateLocationFromIframeSrc = function () {
          if(iframe.contentWindow.location.hash === window.location.hash) {
            return;
          }

          window.location.hash = iframe.contentWindow.location.hash;
        };

         window.addEventListener("hashchange", updateIframeSrcFromLocation);
         iframe.contentWindow.addEventListener("hashchange", updateLocationFromIframeSrc);

         updateIframeSrcFromLocation();
      </script>
</body>
</html>